{% set convertable = resourceSchemas[0] %}
{% set buildingName = resourceSchemas[(resourceSchemas|keys)[1]].requiredBuilding.name %}
{% set producedResourceName = resourceSchemas[(resourceSchemas|keys)[1]].producedResource.name %}
                
{% if lord.city.BuildingLevel(buildingName) > 0 %}
    <td>
        <div class="blocks2_top {% if not convertable %}disable{% endif %}">
            <div class="blocks2_bg">
                <div class="blocks2_bottom">
                    <form action="/city/upgradeSoldier/{{ producedResourceName }}" method="POST">
                        <img src="/img/icons/u_{{ producedResourceName }}.png" alt="" class="sell">
                        <h3 class="h3c">{{ ('units.'~producedResourceName~'.name') | trans([], 'Common') }}
                            <img src="/img/help.gif" class="help"
                                 onmouseover="showHint(this,'{{ ('units.'~producedResourceName~'.name') | trans([], 'Common') }}','{{ ('units.'~producedResourceName~'.desc') | trans([], 'Common') }}')"
                                 onmouseout="hideHint()">
                        </h3>
                        <p>{{ 'messages.soldierOptions.unitPrice' | trans([], 'City') }}</p>
                        <ul class="ismall">
                            {% for schema in resourceSchemas[1:] %}
                                {% if schema.requiredResource.resourceType == 'army' %}
                                    {% set prefix = 'u' %}
                                {% elseif schema.requiredResource.resourceType == 'resource' %}
                                    {% set prefix = 'res' %}
                                {% endif %}
                                <li>
                                    <div>
                                        <img src="/img/icons/small/{{ prefix~'_'~schema.requiredResource.name }}.gif" alt="">
                                        <span class="number">{{ schema.requiredAmount }}</span>
                                    </div>
                                </li>
                            {% endfor %}
                        </ul>
                        <div class="clear"></div>
                        <p {% if not convertable %}class="disable"{% endif %}>
                            {{ 'messages.convert.quantity' | trans([], 'City') }} :
                            <input type="field" class="inputsmall" name="count" value="1">
                            <input class="oksmall" type="submit" value="Ok">
                        </p>
                    </form>
                </div>
            </div>
        </div>
    </td>
{% endif %}
